/**
 * @Author YuanWei
 * @Date 2021/01/13 18:35:03
 * @FileName cellsysConfig.js
 * @Description: cellsys基本配置
 */

//高德
const aMap = {
    name: '高德地图',
    type: 'GaoDe',
    data: [
        {
            id: 1,
            name: '高德街道',
            value: ['GaoDe.Normal.Map'], //地图值，对应TileLayer.ChinaProvider.providers插件的type
            maxZoom: 18,
            minZoom: 4,
            img: `/resources/static/images/TileLayer/GaoDeNormal.png`,
        },
        {
            id: 2,
            name: '高德卫星',
            value: ['GaoDe.Satellite.Map', 'GaoDe.Satellite.Annotion'],
            maxZoom: 18,
            minZoom: 4,
            img: `/resources/static/images/TileLayer/GaoDeSatellite.png`,
        },
        {
            id: 3,
            name: '高德无路网',
            value: ['GaoDe.Satellite.Map'],
            maxZoom: 18,
            minZoom: 4,
            img: `/resources/static/images/TileLayer/GaoDeSatelliteMap.png`,
        },
    ],
};

//其他样式
const grayMap = {
    name: '其他样式',
    type: 'Geoq',
    data: [
        {
            id: 1,
            name: '高德蓝色',
            value: ['Geoq.Normal.PurplishBlue'],
            maxZoom: 16,
            minZoom: 4,
            img: `/resources/static/images/TileLayer/GeoqBlue.png`,
        },
        {
            id: 2,
            name: '高德灰色',
            value: ['Geoq.Normal.Gray'],
            maxZoom: 16,
            minZoom: 4,
            img: `/resources/static/images/TileLayer/GeoqGray.png`,
        },
    ],
};

// const tianDiTuMap = {
//     name: '天地图',
//     type: 'TianDiTu',
//     data: [{
//         id: 1,
//         name: '中国地形图',
//         value: ['TianDiTu.Terrain.Map'],
//         maxZoom: 16,
//         minZoom: 4,
//         img: `/resources/static/images/TileLayer/TianDiTuTerrain.png`
//     }]
// }

const googleMap = {
    name: '谷歌地图',
    type: 'Google',
    data: [
        {
            id: 1,
            name: '谷歌街道',
            value: ['Google.Normal.Map'],
            minZoom: 0,
            maxZoom: 21,
            img: `/resources/static/images/TileLayer/GaoDeNormal.png`,
        },
        {
            id: 2,
            name: '谷歌卫星',
            minZoom: 0,
            maxZoom: 21,
            value: ['Google.Satellite.Map', 'Google.Satellite.Annotion'],
            img: `/resources/static/images/TileLayer/GaoDeSatellite.png`,
        },
        {
            id: 3,
            name: '谷歌无路网',
            minZoom: 0,
            maxZoom: 21,
            value: ['Google.Satellite.Annotion'],
            img: `/resources/static/images/TileLayer/GaoDeSatelliteMap.png`,
        },
    ],
};

const appTemplate = [
    //通讯模板
    { id: 1, icons: ['map', 'message', 'renyuan'], color: '#faad14' },
    //地图模板
    { id: 2, icons: ['color', 'map', 'layer'], color: '#1890ff' },
    //多屏模板
    { id: 3, icons: ['layer', 'multiscreen', 'renyuan'], color: '#52c41a' },
    //设备模板
    { id: 4, icons: ['shijian', 'device', 'jiankong'], color: '#13c2c2' },
    //事件模板
    { id: 5, icons: ['picture', 'shijian', 'location'], color: '#fa541c' },
    //专题编辑模板
    { id: 6, icons: ['map', 'layer', 'record'], color: '#eb2f96' },
    //随手记模板
    { id: 7, icons: ['picture', 'record', 'upload'], color: '#722ed1' },
    //类型统计模板 （模板未开发）
    { id: 8, icons: ['record', 'statistics', 'renyuan'], color: '#8c8c8c' },
    { id: 9, icons: ['renyuan', 'map', 'shijian'], color: '#fa8c16' },
];
const sysColor = [
    {
        name: 'gray',
        text: '灰色',
        primary: '#8c8c8c',
        values: [
            '#ffffff',
            '#fafafa',
            '#f0f0f0',
            '#d9d9d9',
            '#bfbfbf',
            '#8c8c8c',
            '#434343',
            '#262626',
            '#1f1f1f',
            '#000000',
        ],
    },
    {
        name: 'red ',
        text: '红色',
        primary: '#f5222d',
        values: [
            '#fff1f0',
            '#ffccc7',
            '#ffa39e',
            '#ff7875',
            '#ff4d4f',
            '#f5222d',
            '#cf1322',
            '#a8071a',
            '#820014',
            '#5c0011',
        ],
    },
    {
        name: 'volcano',
        text: '火山色',
        primary: '#fa541c',
        values: [
            '#fff2e8',
            '#ffd8bf',
            '#ffbb96',
            '#ff9c6e',
            '#ff7a45',
            '#fa541c',
            '#d4380d',
            '#ad2102',
            '#871400',
            '#610b00',
        ],
    },
    {
        name: 'orange',
        text: '橙色',
        primary: '#faad14',
        values: [
            '#fffbe6',
            '#fff1b8',
            '#ffe58f',
            '#ffd666',
            '#ffc53d',
            '#faad14',
            '#d48806',
            '#ad6800',
            '#874d00',
            '#613400',
        ],
    },
    {
        name: 'gold',
        text: '金色',
        primary: '#fa8c16',
        values: [
            '#fff7e6',
            '#ffe7ba',
            '#ffd591',
            '#ffc069',
            '#ffa940',
            '#fa8c16',
            '#d46b08',
            '#ad4e00',
            '#873800',
            '#612500',
        ],
    },
    {
        name: 'yellow',
        text: '黄色',
        primary: '#fadb14',
        values: [
            '#feffe6',
            '#ffffb8',
            '#fffb8f',
            '#fff566',
            '#ffec3d',
            '#fadb14',
            '#d4b106',
            '#ad8b00',
            '#876800',
            '#614700',
        ],
    },
    {
        name: 'lime',
        text: '绿黄色',
        primary: '#a0d911',
        values: [
            '#fcffe6',
            '#f4ffb8',
            '#eaff8f',
            '#d3f261',
            '#bae637',
            '#a0d911',
            '#7cb305',
            '#5b8c00',
            '#3f6600',
            '#254000',
        ],
    },
    {
        name: 'green',
        text: '绿色',
        primary: '#52c41a',
        values: [
            '#f6ffed',
            '#d9f7be',
            '#b7eb8f',
            '#95de64',
            '#73d13d',
            '#52c41a',
            '#389e0d',
            '#237804',
            '#135200',
            '#092b00',
        ],
    },
    {
        name: 'cyan',
        text: '蓝绿色',
        primary: '#13c2c2',
        values: [
            '#e6fffb',
            '#b5f5ec',
            '#87e8de',
            '#5cdbd3',
            '#36cfc9',
            '#13c2c2',
            '#08979c',
            '#006d75',
            '#00474f',
            '#002329',
        ],
    },
    {
        name: 'blue',
        text: '天蓝色',
        primary: '#1890ff',
        values: [
            '#e6f7ff',
            '#bae7ff',
            '#91d5ff',
            '#69c0ff',
            '#40a9ff',
            '#1890ff',
            '#096dd9',
            '#0050b3',
            '#003a8c',
            '#002766',
        ],
    },
    {
        name: 'geekblue',
        text: '极客蓝色',
        primary: '#2f54eb',
        values: [
            '#f0f5ff',
            '#d6e4ff',
            '#adc6ff',
            '#85a5ff',
            '#597ef7',
            '#2f54eb',
            '#1d39c4',
            '#10239e',
            '#061178',
            '#030852',
        ],
    },
    {
        name: 'purple',
        text: '紫色',
        primary: '#722ed1',
        values: [
            '#f9f0ff',
            '#efdbff',
            '#d3adf7',
            '#b37feb',
            '#9254de',
            '#722ed1',
            '#531dab',
            '#391085',
            '#22075e',
            '#120338',
        ],
    },
    {
        name: 'magenta',
        text: '粉红色',
        primary: '#eb2f96',
        values: [
            '#fff0f6',
            '#ffd6e7',
            '#ffadd2',
            '#ff85c0',
            '#f759ab',
            '#eb2f96',
            '#c41d7f',
            '#9e1068',
            '#780650',
            '#520339',
        ],
    },
];
const monitorType = [
    {
        id: 1,
        name: '温度',
        value: 'temperature',
        units: [
            { id: 1, name: '摄氏温标', unit: '°C' },
            { id: 2, name: '华氏温标', unit: '°F' },
        ],
    },
    {
        id: 2,
        name: '湿度',
        value: 'humidity',
        units: [
            { id: 1, name: '湿度指数', unit: '%' },
            { id: 2, name: '相对湿度', unit: '%rh' },
        ],
    },
    {
        id: 3,
        name: '风力',
        value: 'wind',
        units: [{ id: 1, name: '风速', unit: 'm/s' }],
    },
];

const fenceEventTypes = [
    // {id: 0, name: '无'},
    { id: 1, name: '进入围栏' },
    { id: 2, name: '离开围栏' },
    // {id: 3, name: "停留围栏"}
];

export default {
    appTemplate,
    sysColor,
    monitorType,
    mapLayer: [
        aMap,
        grayMap,
        // tianDiTuMap
        // googleMap
    ],
    fenceEventTypes,
};
