﻿/*
 * @Author: ag
 * @LastEditTime: 2021-11-02 18:05:52
 * @LastEditors: ag
 * @Description: 
 */
import {CellsysType} from './cellsysUtil.js'
import CellsysElement from './cellsysElement.js'

class CellsysLine extends CellsysElement{
    constructor(params) {
        if (!params) {
            params = {}
        }
        super(params)
        this.cellsysType = CellsysType.Line

        this.id = params.id
        this.orgId = params.org_id
        this.orgName = params.org_name
        this.name = params.name
        this.type = params.type
        this.status = params.status ? params.status : 1
        this.action = params.action||0
        this.bufferDistance = params.buffer_distance || 0
        this.radius = params.radius || 0
        this.geometry = params.geometry
        this.typeName = params.type_name
        this.description = params.description
        this.style = params.style
    }

    setId(value) {
        this.id = value
    }

    setName(name) {
        this.name = name
    }

    setType(type) {
        this.type = type
    }

    setAction(value) {
        this.action = value
    }

    setBufferDistance(value) {
        this.bufferDistance = value
    }

    setDescription(value) {
        this.description = value
    }

    setGeometry(value) {
        this.geometry = value
    }

    getColor() {
        return this.style ? this.style.color : '#000000'
    }

    getCssStyle() {
        // return formatterLineStyle(this.style)
        if (this.style) {
            return {
                'border-color': this.style.strokeColor || null,
                opacity: this.style.strokeOpacity || null,
                'border-top-width': (this.style.weight || 0) + 'px',
                'border-top-style': this.style.dashArray == '10,10' ? 'dashed' : 'solid',
                cursor: 'text',
            };
        }
        return null;
    }
}

export default CellsysLine
